Package org.jmock.expectation

# Class ExpectationList

java.lang.Object
org.jmock.expectation.AbstractExpectation
org.jmock.expectation.AbstractExpectationCollection
org.jmock.expectation.ExpectationList

All Implemented Interfaces:
  `Verifiable`, `Expectation`, `ExpectationCollection`

public class ExpectationList extends AbstractExpectationCollection

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ArrayList`
`myActualItems`
`protected ArrayList`
`myExpectedItems`

### Fields inherited from class org.jmock.expectation.AbstractExpectation

`myFailureModeIsImmediate, myName`

## Constructor Summary

Constructors
Constructor
Description
`ExpectationList(String name)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`checkImmediateValues(Object actualItem)`
`protected Collection`
`getActualCollection()`
`protected Collection`
`getExpectedCollection()`

### Methods inherited from class org.jmock.expectation.AbstractExpectationCollection

`addActual, addActual, addActual, addActualMany, addActualMany, addActualMany, addExpected, addExpected, addExpected, addExpectedMany, addExpectedMany, addExpectedMany, clearActual, clearExpectation, setExpectNothing, verify`

### Methods inherited from class org.jmock.expectation.AbstractExpectation

`assertEquals, assertEquals, hasExpectations, setFailOnVerify, setHasExpectations, shouldCheckImmediately`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jmock.expectation.Expectation

`hasExpectations, setFailOnVerify`

## Field Details

### myExpectedItems

protected ArrayList myExpectedItems

### myActualItems

protected ArrayList myActualItems

## Constructor Details

### ExpectationList

public ExpectationList(String name)

## Method Details

### checkImmediateValues

protected void checkImmediateValues(Object actualItem)

Specified by:
  `checkImmediateValues` in class `AbstractExpectationCollection`

### getActualCollection

protected Collection getActualCollection()

Specified by:
  `getActualCollection` in class `AbstractExpectationCollection`

### getExpectedCollection

protected Collection getExpectedCollection()

Specified by:
  `getExpectedCollection` in class `AbstractExpectationCollection`